Show / Hide Table of Contents

# Class PluginConfigurations

##### Inheritance

System.Object
PluginConfigurations

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Configuration

###### Assembly: Dalamud.dll

##### Syntax

    public class PluginConfigurations

### Constructors

| Improve this Doc View Source

#### PluginConfigurations(String)

##### Declaration

    public PluginConfigurations(string storageFolder)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | storageFolder |

### Methods

| Improve this Doc View Source

#### Load(String)

##### Declaration

    public IPluginConfiguration Load(string pluginName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | pluginName |

##### Returns

Type | Description
--- | ---
IPluginConfiguration |

| Improve this Doc View Source

#### LoadForType<T>(String)

##### Declaration

    public T LoadForType<T>(string pluginName)

        where T : IPluginConfiguration

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | pluginName |

##### Returns

Type | Description
--- | ---
T |

##### Type Parameters

Name | Description
--- | ---
T |

| Improve this Doc View Source

#### Save(IPluginConfiguration, String)

##### Declaration

    public void Save(IPluginConfiguration config, string pluginName)

##### Parameters

Type | Name | Description
--- | --- | ---
IPluginConfiguration | config |
System.String | pluginName |